Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# SupplierAdmin.cpp File Reference

`#include "SupplierAdmin.h"`
`#include "SupplierAdmin.inl"`
`#include "orbsvcs/ESF/ESF_Proxy_Collection.h"`
`#include "Builder.h"`
`#include "Proxy.h"`
`#include "EventChannel.h"`
`#include "Subscription_Change_Worker.h"`
`#include "Find_Worker_T.h"`
`#include "Seq_Worker_T.h"`
`#include "Properties.h"`

Include dependency graph for SupplierAdmin.cpp:

## Typedefs

typedef TAO_Notify_Find_Worker_T< TAO_Notify_Proxy, CosNotifyChannelAdmin::ProxyConsumer, CosNotifyChannelAdmin::ProxyConsumer_ptr, CosNotifyChannelAdmin::ProxyNotFound > | TAO_Notify_ProxyConsumer_Find_Worker
typedef TAO_Notify_Seq_Worker_T< TAO_Notify_Proxy > | TAO_Notify_Proxy_Seq_Worker

## Functions

const char * | get_rcsid_RT_Notify_TAO_Notify_SupplierAdmin (const char *)

## Variables

const char * | rcsid_RT_Notify_TAO_Notify_SupplierAdmin = get_rcsid_RT_Notify_TAO_Notify_SupplierAdmin ( rcsid_RT_Notify_TAO_Notify_SupplierAdmin )

## Typedef Documentation

typedef TAO_Notify_Seq_Worker_T<TAO_Notify_Proxy> TAO_Notify_Proxy_Seq_Worker

typedef TAO_Notify_Find_Worker_T<TAO_Notify_Proxy , CosNotifyChannelAdmin::ProxyConsumer , CosNotifyChannelAdmin::ProxyConsumer_ptr , CosNotifyChannelAdmin::ProxyNotFound> TAO_Notify_ProxyConsumer_Find_Worker

## Function Documentation

const char* get_rcsid_RT_Notify_TAO_Notify_SupplierAdmin | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_RT_Notify_TAO_Notify_SupplierAdmin = get_rcsid_RT_Notify_TAO_Notify_SupplierAdmin ( rcsid_RT_Notify_TAO_Notify_SupplierAdmin )`[static]`